# Uses of Class
com.ngrok.definitions.EndpointOAuthProvider

Packages that use EndpointOAuthProvider
Package
Description
com.ngrok.definitions

- ## Uses of EndpointOAuthProvider in com.ngrok.definitions

  Methods in com.ngrok.definitions that return EndpointOAuthProvider
  Modifier and Type
  Method
  Description
  `EndpointOAuthProvider`
  EndpointOAuthProvider.Builder.`build()`
  Constructs the `EndpointOAuthProvider` instance.
  `EndpointOAuthProvider`
  EndpointOAuth.`getProvider()`
  an object which defines the identity provider to use for authentication and configuration for who may access the endpoint
  Methods in com.ngrok.definitions with parameters of type EndpointOAuthProvider
  Modifier and Type
  Method
  Description
  `EndpointOAuth.Builder`
  EndpointOAuth.Builder.`provider(EndpointOAuthProvider provider)`
  an object which defines the identity provider to use for authentication and configuration for who may access the endpoint
  Method parameters in com.ngrok.definitions with type arguments of type EndpointOAuthProvider
  Modifier and Type
  Method
  Description
  `EndpointOAuth.Builder`
  EndpointOAuth.Builder.`provider(Optional<EndpointOAuthProvider> provider)`
  an object which defines the identity provider to use for authentication and configuration for who may access the endpoint